Crypto++ 7.0 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
NameValuePairs::ValueTypeMismatch Class Reference

Thrown when an unexpected type is encountered. More...

Inheritance diagram for NameValuePairs::ValueTypeMismatch:

## Public Member Functions
| ValueTypeMismatch (const std::string &name, const std::type_info &stored, const std::type_info &retrieving)
| Construct a ValueTypeMismatch. More...
const std::type_info & | GetStoredTypeInfo () const
| Provides the stored type. More...
const std::type_info & | GetRetrievingTypeInfo () const
| Provides the retrieveing type. More...
Public Member Functions inherited from InvalidArgument
| InvalidArgument (const std::string &s)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members
Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED, INVALID_ARGUMENT, CANNOT_FLUSH, DATA_INTEGRITY_CHECK_FAILED, INVALID_DATA_FORMAT, IO_ERROR, OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Thrown when an unexpected type is encountered.

Exception thrown when trying to retrieve a value using a different type than expected

Definition at line 300 of file cryptlib.h.

## Constructor & Destructor Documentation

## ◆ ValueTypeMismatch()

NameValuePairs::ValueTypeMismatch::ValueTypeMismatch | ( | const std::string & | name,
|  | const std::type_info & | stored,
|  | const std::type_info & | retrieving
| ) |  |
| inline

Construct a ValueTypeMismatch.

Parameters

  name | the name of the value
  stored | the actual type of the value stored
  retrieving | the presumed type of the value retrieved

Definition at line 307 of file cryptlib.h.

## Member Function Documentation

## ◆ GetStoredTypeInfo()

const std::type_info& NameValuePairs::ValueTypeMismatch::GetStoredTypeInfo | ( |  | ) | const
| inline

Provides the stored type.

Returns
  the C++ mangled name of the type

Definition at line 313 of file cryptlib.h.

## ◆ GetRetrievingTypeInfo()

const std::type_info& NameValuePairs::ValueTypeMismatch::GetRetrievingTypeInfo | ( |  | ) | const
| inline

Provides the retrieveing type.

Returns
  the C++ mangled name of the type

Definition at line 317 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h